package org.linlinjava.jz.admin.vo;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;

public class BuiltTaskDto {

	@ApiModelProperty(value = "被分配的userId",name = "userId")
	@NotNull(message = "被分配的userId 不可为null")
	private Integer userId;//用户id
	
	@ApiModelProperty(value = "分配的数量",name = "assignNumber")
	private Integer assignNumber;//分配数量

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getAssignNumber() {
		if(assignNumber==null) {
			return 0;
		}
		return assignNumber;
	}

	public void setAssignNumber(Integer assignNumber) {
		this.assignNumber = assignNumber;
	}

}
